## GeditProgressInfoBar

GeditProgressInfoBar

## Functions

GtkWidget * | gedit_progress_info_bar_new ()
void | gedit_progress_info_bar_set_icon_name ()
void | gedit_progress_info_bar_set_markup ()
void | gedit_progress_info_bar_set_text ()
void | gedit_progress_info_bar_set_fraction ()
void | gedit_progress_info_bar_pulse ()

## Properties

gboolean | has-cancel-button | Write / Construct Only

## Types and Values

| GeditProgressInfoBarPrivate
struct | GeditProgressInfoBar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GtkInfoBar
                            ╰── GeditProgressInfoBar

## Implemented Interfaces

GeditProgressInfoBar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### gedit_progress_info_bar_new ()

    GtkWidget *
    gedit_progress_info_bar_new (const gchar *icon_name,
                                 const gchar *markup,
                                 gboolean has_cancel);

### gedit_progress_info_bar_set_icon_name ()

    void
    gedit_progress_info_bar_set_icon_name (GeditProgressInfoBar *bar,
                                           const gchar *icon_name);

### gedit_progress_info_bar_set_markup ()

    void
    gedit_progress_info_bar_set_markup (GeditProgressInfoBar *bar,
                                        const gchar *markup);

### gedit_progress_info_bar_set_text ()

    void
    gedit_progress_info_bar_set_text (GeditProgressInfoBar *bar,
                                      const gchar *text);

### gedit_progress_info_bar_set_fraction ()

    void
    gedit_progress_info_bar_set_fraction (GeditProgressInfoBar *bar,
                                          gdouble fraction);

### gedit_progress_info_bar_pulse ()

    void
    gedit_progress_info_bar_pulse (GeditProgressInfoBar *bar);

## Types and Values

### GeditProgressInfoBarPrivate

    typedef struct _GeditProgressInfoBarPrivate GeditProgressInfoBarPrivate;

### struct GeditProgressInfoBar

    struct GeditProgressInfoBar;

## Property Details

### The `“has-cancel-button”` property

      “has-cancel-button”        gboolean

If the message bar has a cancel button.

Flags: Write / Construct Only

Default value: TRUE